Articles of npm

Cambiar la ubicación de node_modules

¿Hay alguna manera de cambiar la ubicación de la carpeta node_modules? Por ejemplo: – dir1 – dir2 – node_modules a: – dir1 – dir2 – node_modules

Bower: “comando no encontrado” después de la instalación

Parece que estoy obteniendo lo siguiente cuando ejecuto npm install bower -g /usr/local/share/npm/bin/bower -> /usr/local/share/npm/lib/node_modules/bower/bin/bower bower@0.8.6 /usr/local/share/npm/lib/node_modules/bower Lamentablemente, la ejecución de cualquiera de los comandos de -bash: bower: command not found devuelve -bash: bower: command not found which npm devuelve /usr/local/bin/npm y ejecuta which node devuelve /usr/local/bin/node .

¿Cómo instalar dependencias de pares npm automáticamente?

Por ejemplo, cuando instalo Angular2: npm install –save angular2 temp@1.0.0 /Users/doug/Projects/dougludlow/temp ├── angular2@2.0.0-beta.3 ├── UNMET PEER DEPENDENCY es6-promise@^3.0.2 ├── UNMET PEER DEPENDENCY es6-shim@^0.33.3 ├── UNMET PEER DEPENDENCY reflect-metadata@0.1.2 ├── UNMET PEER DEPENDENCY rxjs@5.0.0-beta.0 └── UNMET PEER DEPENDENCY zone.js@0.5.11 npm WARN angular2@2.0.0-beta.3 requires a peer of es6-promise@^3.0.2 but none was installed. npm WARN angular2@2.0.0-beta.3 requires a […]

¿Cómo actualizo angularmente 2 (npm) a la última versión?

Recientemente comencé el tutorial de Angular 2 en https://angular.io/docs/ts/latest/tutorial/ . y lo dejo con Angular 2 beta 8. Ahora reanudé el tutorial y la última versión beta es beta 14. Si simplemente hago la actualización npm, algunos módulos (precargados con el tutorial) se actualizan pero no Angular2 (puedo verlo con npm ls ). Si hago […]

¿Cómo puedo hacer que varios proyectos compartan el directorio node_modules?

Cada vez que hago proyectos, tengo que descargar todas las dependencias de los módulos de nodo. Sin copiar los node_modules, ¿hay alguna forma de compartir los node_modules centrales en múltiples proyectos? como los siguientes, tengo que ejecutar muchos comandos cada vez … npm install gulp-usemin npm install gulp-wrap npm install gulp-connect npm install gulp-watch npm […]

¿Hay alguna manera de obtener la versión de package.json en el código nodejs?

¿Hay alguna forma de obtener la versión establecida en package.json en la aplicación nodejs? Me gustaría algo como esto var port = process.env.PORT || 3000 app.listen port console.log “Express server listening on port %d in %s mode %s”, app.address().port, app.settings.env, app.VERSION

nodo 5.5.0 ya instalado pero el nodo -v obtiene con “v4.2.1” en OS X & homebrew?

Estoy intentando actualizar mi nodejs v4.2.1 a la última versión y lo conseguí con éxito. Pero el node -v todavía me da ‘-v4.2.1’.

NPM detrás del proxy NTLM

¿Es posible ejecutar npm install detrás de un proxy HTTP, que usa autenticación NTLM ? En caso afirmativo, ¿cómo puedo configurar la dirección y el puerto del servidor, el nombre de usuario y la contraseña?

cómo especificar módulos locales como dependencias del paquete npm

Tengo una aplicación que tiene el conjunto habitual de dependencias en módulos de terceros (por ejemplo, ‘express’) especificado en el archivo package.json en dependencias. P.ej “express” : “3.1.1” Me gustaría estructurar mi propio código de forma modular y tener un conjunto de módulos locales (es decir, en el sistema de archivos en el que estoy […]

Error: el paso ‘brew link’ no se completó correctamente

Estoy tratando de instalar node.js a través de Homebrew. Desafortunadamente, recibo este error: ➜ ~ brew install node ==> Downloading http://nodejs.org/dist/v0.8.10/node-v0.8.10.tar.gz ######################################################################## 100.0% ==> ./configure –prefix=/usr/local/Cellar/node/0.8.10 ==> make install ==> Caveats Homebrew installed npm. We recommend prepending the following path to your PATH environment variable to have npm-installed binaries picked up: /usr/local/share/npm/bin Warning: Could not […]